#!/bin/sh

if [ "x${VINYLSRC}" = "x" ] ; then
	echo >&2 VINYLSRC needs to point to vinyl-cache sources
	exit 9
fi

# need to look at vmods individually, otherwise we get error 18
# all over the place
for f in constant globalvar taskvar topvar ; do
    flexelint \
	-D__FLEXELINT__ \
	${VINYLSRC}/flint.lnt \
	flint.lnt \
	-zero \
	-I.. \
	-I${VINYLSRC}/include \
	-I${VINYLSRC}/bin/vinyld \
	vcc_${f}_if.c vmod_${f}.c
    2>&1
done
